Issue 75724 - javadoc documentation out-of sync for Convert.java
javadoc documentation out-of sync for Convert.java
Status: CLOSED FIXED
Product: xml
Classification: Code
Component: documentation
680m206
All All
: P3 trivial (vote)
: OOo 2.3
Assigned To: svante.schubert
issues@xml
: oooqa
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-25 17:39 UTC by lohmaier
Modified: 2008-05-16 03:28 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description lohmaier 2007-03-25 17:39:39 UTC
xmerge/source/xmerge/java/org/openoffice/xmerge/Convert.java contains:

    /** 
     *  Adds the original Document to the Convert Class. This
     *  is to be used for merges. If this Document is added then
     *  it is assumed that a convert with merge is the desired 
     *  operation. 
     *
     *  @param  name  The <code>Document</code> name.
     *  @param  is    <code>InputStream</code> object corresponding
     *                to the <code>Document</code>.
     *
     *  @throws  IOException  If any I/O error occurs.
     */
    public DocumentMerger getDocumentMerger(Document origDoc)
        throws IOException {

     DocumentMergerFactory myDocMergerFactory = ci.getDocMergerFactory();
     DocumentMerger merger = myDocMergerFactory.createDocumentMerger(origDoc);
         return merger;
    }

The parameter-list is out of sync - and the description "add a document" doesn't
 really match the function name "get....", the function returns a merger-object,
but the documentation doesn't mention it - so I'm not sure whether the
documentation still matches that function at all.
Comment 1 michael.brauer 2007-04-10 18:09:54 UTC
Svante, xmerge is your topic.
Comment 2 svante.schubert 2007-04-11 14:31:07 UTC
Added the issue to CWS xsltfilter07 as it is close to the patches.
Going to investigate this further, when the other patches are integrated.
Comment 3 svante.schubert 2007-04-17 19:48:04 UTC
Adapted the Javadoc, fixed in CWS XSLTFILTER07.
Comment 4 svante.schubert 2007-04-18 12:25:44 UTC
SUS->LO: Could you please verify this fix in the source code?
Comment 5 lo 2007-04-18 13:18:36 UTC
looks good
Comment 6 lo 2007-04-18 13:19:50 UTC
ready to be closed after integration
Comment 7 ace_dent 2008-05-16 03:28:10 UTC
This Issue is 'Verified' and not updated in 1yr+, so Closing.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~